org.bdgenomics.adam.projections.FieldEnumeration

# SchemaVal

#### class SchemaVal extends Val with FieldValue

An enumerated field that is part of this schema.

Linear Supertypes
FieldValue, FieldEnumeration.Val, FieldEnumeration.Value, Serializable, Serializable, Ordered[FieldEnumeration.Value], Comparable[FieldEnumeration.Value], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SchemaVal
2. FieldValue
3. Val
4. Value
5. Serializable
6. Serializable
7. Ordered
8. Comparable
9. AnyRef
10. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SchemaVal()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(v: FieldEnumeration.Value): FieldEnumeration.ValueSet

   Definition Classes
     Value

5. #### def <(that: FieldEnumeration.Value): Boolean

   Definition Classes
     Ordered

6. #### def <=(that: FieldEnumeration.Value): Boolean

   Definition Classes
     Ordered

7. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

9. #### def >(that: FieldEnumeration.Value): Boolean

   Definition Classes
     Ordered

10. #### def >=(that: FieldEnumeration.Value): Boolean

    Definition Classes
      Ordered

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def compare(that: FieldEnumeration.Value): Int

    Definition Classes
      Value → Ordered

14. #### def compareTo(that: FieldEnumeration.Value): Int

    Definition Classes
      Ordered → Comparable

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(other: Any): Boolean

    Definition Classes
      Value → AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      Value → AnyRef → Any

20. #### def id: Int

    Definition Classes
      Val → Value

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Val

26. #### def schema: Schema

    The schema for the record that this field is in.

    The schema for the record that this field is in.

    Definition Classes
      SchemaVal → FieldValue

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      Val → AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from FieldValue

### Inherited from FieldEnumeration.Val

### Inherited from FieldEnumeration.Value

### Inherited from Serializable

### Inherited from Ordered[FieldEnumeration.Value]

### Inherited from Comparable[FieldEnumeration.Value]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped